package com.muyu.enterprise.cache.faultCode;

import com.muyu.common.cache.CacheAbsBasic;
import com.muyu.domain.FaultCodeCache;
import com.muyu.domain.req.CarInformationAddReq;
import com.muyu.domain.req.FaultCodeAddReq;

/**
 * 添加故障码缓存
 * @Author：yang
 * @Package：com.muyu.cache
 * @Project：cloud-server-8
 * @name：VehicleCacheService
 * @Date：2024/9/30 11:50
 */
public class VehicleCacheFaultCodeAddService extends CacheAbsBasic<String, FaultCodeCache> {
    @Override
    public String keyPre() {
        return "FaultCodeCache:info:";
    }

    @Override
    public String decode(String key) {
        return key.replace("vehicle:info:","");
    }
}
